package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

/**
 * @program: mec
 * @description: 提现
 * @author: xw
 * @create: 2019-09-23 17:12
 */
public class WithdrawDto extends QueryInfo {

    @ApiModelProperty(value = "用户id",required = false)
    private Integer userId;

    @ApiModelProperty(value = "银行卡号", required = true)
    private String bankCardNo;

    @ApiModelProperty(value = "提现金额", required = true)
    private BigDecimal amount;

    @ApiModelProperty(value = "交易类型", required = true)
    private Integer TransType;

    public WithdrawDto() {
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getTransType() {
        return TransType;
    }

    public void setTransType(Integer transType) {
        TransType = transType;
    }

    @Override
    public String toString() {
        return "WithdrawDto{" +
                "userId=" + userId +
                ", bankCardNo='" + bankCardNo + '\'' +
                ", amount=" + amount +
                ", TransType=" + TransType +
                '}';
    }
}
